Bug 4986 - bindows.net AJAX apps do not work
Summary: bindows.net AJAX apps do not work
Status: RESOLVED WORKSFORME
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 412
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords: NeedsReduction
Depends on: 7138 13480
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-14 18:05 PDT by Alex Rosenberg
Modified: 2010-07-17 14:20 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Rosenberg 2005-09-14 18:05:37 PDT
The AJAX apps at bindows.net do not open. Most operate under FireFox, although a few appear to identify 
the UserAgent and indicate that they only work with IE/Win.
Comment 2 Alexey Proskuryakov 2005-12-30 06:13:10 PST
Stock Safari 2.0.2 just doesn't work with samples, while a nightly build is identified as unsupported, and 
links are hidden from the page (but the behavior when using direct links is actually the same).
Comment 3 Alexey Proskuryakov 2007-04-25 04:06:31 PDT
Reassigning to webkit-unassigned for more exposure.
Comment 4 Johan Lund 2008-03-26 07:45:39 PDT
We have an internal branch of Bindows that is working in Safari but issue #7138 is currently a blocker for us.
Comment 5 Joseph Holsten 2009-11-09 18:41:52 PST
So, I'd like to reduce this bug. Unfortunately, all your examples seem to derive their behaviour from the minimized JS in http://www.bindows.net/bindows/html/js/application.js or the files it loads.

Any chance we could get an example that isn't obfuscated?
Comment 6 Johan Lund 2009-11-10 13:45:38 PST
We released Bindows 4.0 a while back which fully supports webkit.
http://www.bindows.net/documentation/40/
Bindows apps are running like a dream in Safari and Chrome etc.
You can close this bug.
Comment 7 Daniel Bates 2010-07-17 14:20:33 PDT
As of 07/17/2010, as far as I can tell from observation the referenced examples work in Mac Safari version 5.0 (6533.16) and behave like in Mac Firefox 3.6.3. These observations seem to agree with the Bindows 4.1 information page <http://www.bindows.net/documentation/Bindows41.html> (last updated 06/28/2010), which claims support for Safari 4 (*), the associated Bindows.net release notes <http://www.bindows.net/bindows/releasenotes.html>, and Johan Lund's comment <https://bugs.webkit.org/show_bug.cgi?id=4986#c6>..

Therefore, I am closing this bug. If there are any existing issues, feel free to re-open this bug and/or file a new bug(s).

(*) "Bindows 4.1 supports the latest versions of all the major browsers, including IE8, Firefox 3.6, Safari 4, and Chrome."